Bug 590729 - SELinux is preventing /usr/bin/python "name_connect" access .
SELinux is preventing /usr/bin/python "name_connect" access .
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:0f48ac1b540...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 11:02 EDT by Dylan Swift
Modified: 2010-10-01 02:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 02:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dylan Swift 2010-05-10 11:02:40 EDT
Summary:

SELinux is preventing /usr/bin/python "name_connect" access .

Detailed Description:

SELinux denied access requested by cobblerd. It is not expected that this access
is required by cobblerd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:cobblerd_t:s0
Target Context                system_u:object_r:smtp_port_t:s0
Target Objects                None [ tcp_socket ]
Source                        cobblerd
Source Path                   /usr/bin/python
Port                          25
Host                          (removed)
Source RPM Packages           python-2.6.2-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Wed 28 Apr 2010 10:47:27 BST
Last Seen                     Wed 28 Apr 2010 11:13:04 BST
Local ID                      e0b54870-f41d-4be7-aca6-7101b3defeb0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272449584.863:1354): avc:  denied  { name_connect } for  pid=20502 comm="cobblerd" dest=25 scontext=unconfined_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:smtp_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1272449584.863:1354): arch=c000003e syscall=42 success=no exit=-111 a0=19 a1=7fd1c3ffbd70 a2=1c a3=4c items=0 ppid=1 pid=20502 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="cobblerd" exe="/usr/bin/python" subj=unconfined_u:system_r:cobblerd_t:s0 key=(null)



Hash String generated from  catchall,cobblerd,cobblerd_t,smtp_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= cobblerd_t ==============
allow cobblerd_t smtp_port_t:tcp_socket name_connect;
Comment 1 Miroslav Grepl 2010-05-10 11:59:07 EDT
Did you enable "build_reporting_enabled" option?

# Email out a report when cobbler finishes installing a system.

Note You need to log in before you can comment on or make changes to this bug.